@import url('https://fonts.googleapis.com/css2?family=Figtree:ital,wght@0,300..900;1,300..900&display=swap" rel="stylesheet"');

header {
    width: 100%;
}

nav {
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: white;
    padding: 30px 0;
    position: relative;
    z-index: 5;
}

nav .logo {
    position: absolute;
    left: 25px;
    z-index: 20;
}

nav img {
    height: 70%;
    width: auto;
}

nav ul {
    display: flex;
    justify-content: center;
    padding: 0;
    margin: 0;
}

ul li {
    list-style: none;
}

nav a {
    padding: 20px;
    text-decoration: none;
    color: var(--color-primary);
    font-family: 'Figtree';
    font-size: 18px;
    transition: color 0.2s;
}

nav a:hover {
    background-image: linear-gradient(to right, var(--color-blue), var(--color-pink));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;    
    font-weight: bold;
    text-decoration-line: underline;
	text-underline-offset: 10px;
	text-decoration-thickness: 3px;
}

.menuActive {
    background-image: linear-gradient(to right, var(--color-blue), var(--color-pink));
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;    
    font-weight: bold;
    text-decoration-line: underline;
	text-underline-offset: 10px;
	text-decoration-thickness: 3px;
}

.flag {
    width: 32px;
    margin: 0 10px;
    cursor: pointer;
    padding: 0; 
    vertical-align: middle;
    transition: transform 0.3s ease, filter 0.3s ease;
}

.flag:hover {
    transform: scale(1.2);
}

.language-switch {
    position: absolute;
    right: 25px;
    z-index: 20;
}

.language-switch a {
    display: inline-block;
    line-height: 0;
    padding: 0;
    margin: 0;
}

.menu-icon {
    display: none;
    position: absolute;
    right: 25px;
    cursor: pointer;
}

.burger-icon, .close-icon {
    height: 30px;
    display: none;
    cursor: pointer;
}

nav ul.active {
    display: flex;
}

.burger-icon.hide {
    display: none;
}

.close-icon.show {
    display: block;
}

@media only screen and (max-width: 700px) {
    header {
        position: sticky;
        top: 0;
        z-index: 1000;
    }

    nav a {
        font-size: 22px;
    }

    nav ul {
        display: none;
        flex-direction: column;
        position: fixed;
        top: 0;
        left: 0;
        height: 100vh;
        width: 100%;
        background-color: white; 
        justify-content: center;
        align-items: center;
        z-index: 10;
    }

    nav ul li {
        margin: 20px 0;
    }

    .flag {
        display: none;
    }

    .menu-icon {
        display: block;
    }

    .burger-icon {
        display: block;
    }

    .close-icon {
        position: relative;
        z-index: 30;
    }
}